<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<head>
<title>Reference Map Test</title>
</head>
<body>
<?php
  function handleException($e) {
    $msg = 'Error - '.$e->getMessage();
    echo("<br/>Caught Exception message - ".$msg);
    $error = ms_GetErrorObj();
    while ($error && $error->code != MS_NOERR) {
      $msg = "$error->routine: $error->message";
      echo("<br/>MapServer Error message - ".$msg);
      $error = $error->next();
    } 
    echo("<br/>");
  }

  echo( "<br/>  ** gif ** <br/>" );      
  try {
    ms_ResetErrorList();
    $ms = ms_newMapObj( 'testRef_gif.map' );
    $refimg = $ms->drawReferenceMap();
    $ref_gif = $refimg->saveWebImage();
    echo( "<img src=' $ref_gif '>" );      
  } catch (Exception $e) {
    handleException($e);
  }
  echo( "<br/>  ** gif ** <br/><br/>" );      

  echo( "<br/>  ** jpg ** <br/>" );      
  try {
    ms_ResetErrorList();
    $ms = ms_newMapObj( 'testRef_jpg.map' );
    $refimg = $ms->drawReferenceMap();
    $ref_jpg = $refimg->saveWebImage();
    echo( "<img src=' $ref_jpg '>" );      
  } catch (Exception $e) {
    handleException($e);
  }
  echo( "<br/>  ** jpg ** <br/><br/>" );      

  echo( "<br/>  ** png ** <br/>" );      
  try {
    ms_ResetErrorList();
    $ms = ms_newMapObj( 'testRef_png.map' );
    $refimg = $ms->drawReferenceMap();
    $ref_png = $refimg->saveWebImage();
    echo( "<img src=' $ref_png '>" );      
  } catch (Exception $e) {
    handleException($e);
  }
  echo( "<br/>  ** png ** <br/><br/>" );      
  
?>
</body>
</html>
